> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /ad-stack/:id

> Updates an existing ad stack. Call the `/v1/integration?target=ad_stack` endpoint to find available integrations, and call the `/v1/integration/{id}/stack-schema` endpoint to find the field requirements for each integration.



## OpenAPI

````yaml /openapi.json put /v1/ad-stack/{id}
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/ad-stack/{id}:
    put:
      tags:
        - Ad Stack
        - public
      summary: /ad-stack/:id
      description: >-
        Updates an existing ad stack. Call the `/v1/integration?target=ad_stack`
        endpoint to find available integrations, and call the
        `/v1/integration/{id}/stack-schema` endpoint to find the field
        requirements for each integration.
      parameters:
        - name: id
          in: path
          description: ''
          required: true
          example: 0
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                stack:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: integer
                        description: The integration ID
                      type:
                        type: string
                        description: The integration type
                        enum:
                          - fallback
                          - ad_demand
                          - ad_server
                          - ad_tech
                          - analytic
                          - comms
                  description: Lists the connected integrations
                config:
                  type: object
                  properties: {}
                  description: >-
                    Fields configured for any integration in the stack. Key is
                    in the format `{integration_type}/{integration_type}` or
                    simply `ad_demand` for overaching configuration options.
                    Value of each key is an object specific to that integration
                    (integration schemas can be retrieved from
                    /ad-stack/integration/:type/:id)
                name:
                  type: string
              required:
                - stack
            example:
              config:
                ad_demand:
                  bidderTimeout: 50
                  syncDelay: 1000
                  priceGranularity: dense
                  useBidCache: true
                  enableTIDs: false
                  s2sConfig:
                    timeout: 1000
                  throttling:
                    thresholdType: count
                    thresholdValue: 3
                    actions:
                      actionTarget: page_view
                    scope: ad_unit
                    filter:
                      type: include
                      list: []
                    enabled: true
                ad_server/2:
                  ad_unit: jamiedruce.io__2
                  mcm: '5568767400'
                fallback/676:
                  weight: 1
                fallback/760:
                  weight: 1
              name: Jamies Ad Stack
              stack:
                - id: 2
                  type: ad_server
                - id: 676
                  type: fallback
                - id: 760
                  type: fallback
                - id: 838
                  type: ad_tech
                - id: 839
                  type: ad_tech
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      id:
                        type: integer
                    required:
                      - id
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  id: 338
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````